use anyhow::Result;
use structopt::StructOpt;

mod selfu;
mod zbasu;

#[derive(StructOpt, Debug)]
#[structopt(about = "la .karnycukta. cu finti lo samcukta fo lo zo .gemlogs.")]
enum Cmd {
    /// selfu la samse'u
    Selfu {
        #[structopt(flatten)]
        opts: selfu::Options,
    },
    /// zbasu lo cukta
    Zbasu {
        #[structopt(long, short = "n")]
        nuzyurli: Vec<String>,

        /// How many days to look back
        #[structopt(long, short = "d")]
        seldei: usize,
    },
}

#[tokio::main]
async fn main() -> Result<()> {
    pretty_env_logger::init();
    let cmd = Cmd::from_args();
    log::debug!("{:?}", cmd);

    match cmd {
        Cmd::Selfu { opts } => selfu::run(opts).await?,
        Cmd::Zbasu { nuzyurli, seldei } => zbasu::run(nuzyurli, seldei).await?,
    }

    Ok(())
}
