let
  moz_overlay = import (builtins.fetchTarball
    "https://github.com/mozilla/nixpkgs-mozilla/archive/master.tar.gz");
  pkgs = import <nixpkgs> { overlays = [ moz_overlay ]; };
  nur = import (builtins.fetchTarball
    "https://github.com/nix-community/NUR/archive/master.tar.gz") {
      inherit pkgs;
    };
  tex = with pkgs;
    texlive.combine { inherit (texlive) scheme-medium bitter titlesec; };
in pkgs.mkShell {
  buildInputs = with pkgs; [
    pkgs.latest.rustChannels.stable.rust

    pkg-config
    ncurses

    kindlegen
    nur.repos.mic92.pandoc-bin
    tex
  ];
}
